package javax.swing.event;

import java.awt.Component;
import javax.swing.MenuSelectionManager;
import javax.swing.MenuElement;
import java.awt.event.MouseEvent;

public class MenuDragMouseEvent extends MouseEvent
{
    private MenuElement[] path;
    private MenuSelectionManager manager;
    
    public MenuDragMouseEvent(Component source, int id, long when, int modifiers, int x, int y, int clickCount, boolean popupTrigger, MenuElement[] path, MenuSelectionManager manager) {
        super(source, id, when, modifiers, x, y, clickCount, popupTrigger);
        this.path = path;
        this.manager = manager;
    }
    
    public MenuDragMouseEvent(Component source, int id, long when, int modifiers, int x, int y, int xAbs, int yAbs, int clickCount, boolean popupTrigger, MenuElement[] path, MenuSelectionManager manager) {
        super(source, id, when, modifiers, x, y, xAbs, yAbs, clickCount, popupTrigger, 0);
        this.path = path;
        this.manager = manager;
    }
    
    public MenuElement[] getPath() {
        return this.path;
    }
    
    public MenuSelectionManager getMenuSelectionManager() {
        return this.manager;
    }
}
